<div
  class="tags-list-container"
  *ngIf="item.solutionTagList && item.solutionTagList.length > 0"
>
  <div class="manage-tagList">
    <span class="mg-tag-circle"></span>
    <span class="mg-tag-text">{{
      item.solutionTagList.length > 0 ? item.solutionTagList[0].tag : ""
    }}</span>
    <span
      #menuTrigger="matMenuTrigger"
      [matMenuTriggerFor]="menu"
      class="icon-showMore"
      *ngIf="item.solutionTagList.length > 1"
      (click)="menuTrigger.openMenu()"
    >
      <span
        class="tag-icon1"
        [ngClass]="{ 'tag-icon': item.solutionId == slnID && Tag }"
        >&nbsp;</span
      >
    </span>
  </div>

  <div class="manage-tag-list-container">
    <mat-menu #menu="matMenu">
      <ul class="manage-tag-list">
        <li *ngFor="let tagList of item.solutionTagList">
          <div class="manage-tagList2">
            <span class="mg-tag-circle2"></span>
            <span class="mg-tag-text2">{{ tagList.tag }}</span>
          </div>
        </li>
      </ul>
    </mat-menu>
  </div>
</div>
